From 0cad96634dffa09cabc9fb82ac2b760312696da1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Pavel=20B=C5=99ezina?= <pbrezina@redhat.com>
Date: Thu, 15 Jan 2015 14:49:25 +0100
Subject: [PATCH 3/7] sbus codegen: do not prefix getters with iface name

Prefixing getters with C name of the interface is just
redundant since it is the same as the name of the structure
that contains those fields.

The following structure:
struct test_pilot {
  $type test_pilot_get_name;
}

changes to:
struct test_pilot {
  $type get_name;
}
---
 src/responder/ifp/ifp_iface.c            | 38 ++++++++++++------------
 src/responder/ifp/ifp_iface_generated.c  | 38 ++++++++++++------------
 src/responder/ifp/ifp_iface_generated.h  | 38 ++++++++++++------------
 src/sbus/sbus_codegen                    |  2 +-
 src/tests/sbus_codegen_tests.c           | 48 +++++++++++++++---------------
 src/tests/sbus_codegen_tests_generated.c | 50 ++++++++++++++++----------------
 src/tests/sbus_codegen_tests_generated.h | 50 ++++++++++++++++----------------
 7 files changed, 132 insertions(+), 132 deletions(-)

diff --git a/src/responder/ifp/ifp_iface.c b/src/responder/ifp/ifp_iface.c
index d0f0260d05153eb3a6df76a42b0ac76aecbb7e17..ffa3c46b7eeea12b7d56f928d85412f096fa6273 100644
--- a/src/responder/ifp/ifp_iface.c
+++ b/src/responder/ifp/ifp_iface.c
@@ -49,31 +49,31 @@ struct iface_ifp_components iface_ifp_components = {
     .Disable = ifp_component_disable,
     .ChangeDebugLevel = ifp_component_change_debug_level,
     .ChangeDebugLevelTemporarily = ifp_component_change_debug_level_tmp,
-    .iface_ifp_components_get_name = ifp_component_get_name,
-    .iface_ifp_components_get_debug_level = ifp_component_get_debug_level,
-    .iface_ifp_components_get_enabled = ifp_component_get_enabled,
-    .iface_ifp_components_get_type = ifp_component_get_type,
+    .get_name = ifp_component_get_name,
+    .get_debug_level = ifp_component_get_debug_level,
+    .get_enabled = ifp_component_get_enabled,
+    .get_type = ifp_component_get_type,
     /* FIXME: This should be part of Components.Backends interface, onece
      * SSSD supports multiple interfaces per object path. */
-    .iface_ifp_components_get_providers = ifp_backend_get_providers
+    .get_providers = ifp_backend_get_providers
 };
 
 struct iface_ifp_domains iface_ifp_domains = {
     { &iface_ifp_domains_meta, 0 },
-    .iface_ifp_domains_get_name = ifp_dom_get_name,
-    .iface_ifp_domains_get_provider = ifp_dom_get_provider,
-    .iface_ifp_domains_get_primary_servers = ifp_dom_get_primary_servers,
-    .iface_ifp_domains_get_backup_servers = ifp_dom_get_backup_servers,
-    .iface_ifp_domains_get_min_id = ifp_dom_get_min_id,
-    .iface_ifp_domains_get_max_id = ifp_dom_get_max_id,
-    .iface_ifp_domains_get_realm = ifp_dom_get_realm,
-    .iface_ifp_domains_get_forest = ifp_dom_get_forest,
-    .iface_ifp_domains_get_login_format = ifp_dom_get_login_format,
-    .iface_ifp_domains_get_fully_qualified_name_format = ifp_dom_get_fqdn_format,
-    .iface_ifp_domains_get_enumerable = ifp_dom_get_enumerable,
-    .iface_ifp_domains_get_use_fully_qualified_names = ifp_dom_get_use_fqdn,
-    .iface_ifp_domains_get_subdomain = ifp_dom_get_subdomain,
-    .iface_ifp_domains_get_parent_domain = ifp_dom_get_parent_domain
+    .get_name = ifp_dom_get_name,
+    .get_provider = ifp_dom_get_provider,
+    .get_primary_servers = ifp_dom_get_primary_servers,
+    .get_backup_servers = ifp_dom_get_backup_servers,
+    .get_min_id = ifp_dom_get_min_id,
+    .get_max_id = ifp_dom_get_max_id,
+    .get_realm = ifp_dom_get_realm,
+    .get_forest = ifp_dom_get_forest,
+    .get_login_format = ifp_dom_get_login_format,
+    .get_fully_qualified_name_format = ifp_dom_get_fqdn_format,
+    .get_enumerable = ifp_dom_get_enumerable,
+    .get_use_fully_qualified_names = ifp_dom_get_use_fqdn,
+    .get_subdomain = ifp_dom_get_subdomain,
+    .get_parent_domain = ifp_dom_get_parent_domain
 };
 
 struct iface_map {
diff --git a/src/responder/ifp/ifp_iface_generated.c b/src/responder/ifp/ifp_iface_generated.c
index 2cdfa3012a46dddbed05db2eb6f8ef2308825c16..9c00a8c59bd36f7a83ab299d51b3f1a8bf0994e0 100644
--- a/src/responder/ifp/ifp_iface_generated.c
+++ b/src/responder/ifp/ifp_iface_generated.c
@@ -332,7 +332,7 @@ const struct sbus_property_meta iface_ifp_components__properties[] = {
         "name", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_components, iface_ifp_components_get_name),
+        offsetof(struct iface_ifp_components, get_name),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -341,7 +341,7 @@ const struct sbus_property_meta iface_ifp_components__properties[] = {
         "debug_level", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_components, iface_ifp_components_get_debug_level),
+        offsetof(struct iface_ifp_components, get_debug_level),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -350,7 +350,7 @@ const struct sbus_property_meta iface_ifp_components__properties[] = {
         "enabled", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_components, iface_ifp_components_get_enabled),
+        offsetof(struct iface_ifp_components, get_enabled),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -359,7 +359,7 @@ const struct sbus_property_meta iface_ifp_components__properties[] = {
         "type", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_components, iface_ifp_components_get_type),
+        offsetof(struct iface_ifp_components, get_type),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -368,7 +368,7 @@ const struct sbus_property_meta iface_ifp_components__properties[] = {
         "providers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_components, iface_ifp_components_get_providers),
+        offsetof(struct iface_ifp_components, get_providers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -391,7 +391,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "name", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_name),
+        offsetof(struct iface_ifp_domains, get_name),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -400,7 +400,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "provider", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_provider),
+        offsetof(struct iface_ifp_domains, get_provider),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -409,7 +409,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "primary_servers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_primary_servers),
+        offsetof(struct iface_ifp_domains, get_primary_servers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -418,7 +418,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "backup_servers", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_backup_servers),
+        offsetof(struct iface_ifp_domains, get_backup_servers),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -427,7 +427,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "min_id", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_min_id),
+        offsetof(struct iface_ifp_domains, get_min_id),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -436,7 +436,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "max_id", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_max_id),
+        offsetof(struct iface_ifp_domains, get_max_id),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -445,7 +445,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "realm", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_realm),
+        offsetof(struct iface_ifp_domains, get_realm),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -454,7 +454,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "forest", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_forest),
+        offsetof(struct iface_ifp_domains, get_forest),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -463,7 +463,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "login_format", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_login_format),
+        offsetof(struct iface_ifp_domains, get_login_format),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -472,7 +472,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "fully_qualified_name_format", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_fully_qualified_name_format),
+        offsetof(struct iface_ifp_domains, get_fully_qualified_name_format),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -481,7 +481,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "enumerable", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_enumerable),
+        offsetof(struct iface_ifp_domains, get_enumerable),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -490,7 +490,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "use_fully_qualified_names", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_use_fully_qualified_names),
+        offsetof(struct iface_ifp_domains, get_use_fully_qualified_names),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -499,7 +499,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "subdomain", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_subdomain),
+        offsetof(struct iface_ifp_domains, get_subdomain),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -508,7 +508,7 @@ const struct sbus_property_meta iface_ifp_domains__properties[] = {
         "parent_domain", /* name */
         "o", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct iface_ifp_domains, iface_ifp_domains_get_parent_domain),
+        offsetof(struct iface_ifp_domains, get_parent_domain),
         sbus_invoke_get_o,
         0, /* not writable */
         NULL, /* no invoker */
diff --git a/src/responder/ifp/ifp_iface_generated.h b/src/responder/ifp/ifp_iface_generated.h
index 7dfe8c05f02bca6550a2eb8f0ec948e027b0dcbe..e2f5a7eaf8a8d3452f9044ecc9c4ee7568a9b2cf 100644
--- a/src/responder/ifp/ifp_iface_generated.h
+++ b/src/responder/ifp/ifp_iface_generated.h
@@ -122,11 +122,11 @@ struct iface_ifp_components {
     int (*Disable)(struct sbus_request *req, void *data);
     int (*ChangeDebugLevel)(struct sbus_request *req, void *data, uint32_t arg_new_level);
     int (*ChangeDebugLevelTemporarily)(struct sbus_request *req, void *data, uint32_t arg_new_level);
-    void (*iface_ifp_components_get_name)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_components_get_debug_level)(struct sbus_request *, void *data, uint32_t *);
-    void (*iface_ifp_components_get_enabled)(struct sbus_request *, void *data, bool *);
-    void (*iface_ifp_components_get_type)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_components_get_providers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*get_name)(struct sbus_request *, void *data, const char * *);
+    void (*get_debug_level)(struct sbus_request *, void *data, uint32_t *);
+    void (*get_enabled)(struct sbus_request *, void *data, bool *);
+    void (*get_type)(struct sbus_request *, void *data, const char * *);
+    void (*get_providers)(struct sbus_request *, void *data, const char * * *, int *);
 };
 
 /* finish function for Enable */
@@ -144,20 +144,20 @@ int iface_ifp_components_ChangeDebugLevelTemporarily_finish(struct sbus_request
 /* vtable for org.freedesktop.sssd.infopipe.Domains */
 struct iface_ifp_domains {
     struct sbus_vtable vtable; /* derive from sbus_vtable */
-    void (*iface_ifp_domains_get_name)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_provider)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_primary_servers)(struct sbus_request *, void *data, const char * * *, int *);
-    void (*iface_ifp_domains_get_backup_servers)(struct sbus_request *, void *data, const char * * *, int *);
-    void (*iface_ifp_domains_get_min_id)(struct sbus_request *, void *data, uint32_t *);
-    void (*iface_ifp_domains_get_max_id)(struct sbus_request *, void *data, uint32_t *);
-    void (*iface_ifp_domains_get_realm)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_forest)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_login_format)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_fully_qualified_name_format)(struct sbus_request *, void *data, const char * *);
-    void (*iface_ifp_domains_get_enumerable)(struct sbus_request *, void *data, bool *);
-    void (*iface_ifp_domains_get_use_fully_qualified_names)(struct sbus_request *, void *data, bool *);
-    void (*iface_ifp_domains_get_subdomain)(struct sbus_request *, void *data, bool *);
-    void (*iface_ifp_domains_get_parent_domain)(struct sbus_request *, void *data, const char * *);
+    void (*get_name)(struct sbus_request *, void *data, const char * *);
+    void (*get_provider)(struct sbus_request *, void *data, const char * *);
+    void (*get_primary_servers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*get_backup_servers)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*get_min_id)(struct sbus_request *, void *data, uint32_t *);
+    void (*get_max_id)(struct sbus_request *, void *data, uint32_t *);
+    void (*get_realm)(struct sbus_request *, void *data, const char * *);
+    void (*get_forest)(struct sbus_request *, void *data, const char * *);
+    void (*get_login_format)(struct sbus_request *, void *data, const char * *);
+    void (*get_fully_qualified_name_format)(struct sbus_request *, void *data, const char * *);
+    void (*get_enumerable)(struct sbus_request *, void *data, bool *);
+    void (*get_use_fully_qualified_names)(struct sbus_request *, void *data, bool *);
+    void (*get_subdomain)(struct sbus_request *, void *data, bool *);
+    void (*get_parent_domain)(struct sbus_request *, void *data, const char * *);
 };
 
 /* ------------------------------------------------------------------------
diff --git a/src/sbus/sbus_codegen b/src/sbus/sbus_codegen
index 7983f99fc2dfd3d8a24c0c1c5b997b46448bc714..9648c1fee2e700cd7da15ba61dbe0ed211ff9cef 100755
--- a/src/sbus/sbus_codegen
+++ b/src/sbus/sbus_codegen
@@ -188,7 +188,7 @@ class Property(Typed):
     def fq_c_name(self):
         return "%s_%s" % (self.iface.c_name(), self.c_name())
     def getter_name(self):
-        return "%s_get_%s" % (self.iface.c_name(), self.c_name())
+        return "get_%s" % self.c_name()
     def getter_invoker_name(self):
         return "sbus_invoke_get_%s" % self.type
     def getter_signature(self, name):
diff --git a/src/tests/sbus_codegen_tests.c b/src/tests/sbus_codegen_tests.c
index dccb5e3147e61c3d6f40137927f8724804a37b97..e0b4b1d1abf678042f25dbd7562f4ac958e982f4 100644
--- a/src/tests/sbus_codegen_tests.c
+++ b/src/tests/sbus_codegen_tests.c
@@ -543,31 +543,31 @@ struct test_pilot pilot_iface = {
     { &test_pilot_meta, 0 },
     .Eject = eject_handler,
 
-    .test_pilot_get_FullName = pilot_get_full_name_handler,
-    .test_pilot_get_byte = pilot_get_byte_handler,
-    .test_pilot_get_boolean = pilot_get_boolean_handler,
-    .test_pilot_get_int16 = pilot_get_int16_handler,
-    .test_pilot_get_uint16 = pilot_get_uint16_handler,
-    .test_pilot_get_int32 = pilot_get_int32_handler,
-    .test_pilot_get_uint32 = pilot_get_uint32_handler,
-    .test_pilot_get_int64 = pilot_get_int64_handler,
-    .test_pilot_get_uint64 = pilot_get_uint64_handler,
-    .test_pilot_get_double = pilot_get_double_handler,
-    .test_pilot_get_string = pilot_get_string_handler,
-    .test_pilot_get_object_path = pilot_get_objpath_handler,
-    .test_pilot_get_null_string = pilot_get_null_string_handler,
-    .test_pilot_get_null_path = pilot_get_null_path_handler,
+    .get_FullName = pilot_get_full_name_handler,
+    .get_byte = pilot_get_byte_handler,
+    .get_boolean = pilot_get_boolean_handler,
+    .get_int16 = pilot_get_int16_handler,
+    .get_uint16 = pilot_get_uint16_handler,
+    .get_int32 = pilot_get_int32_handler,
+    .get_uint32 = pilot_get_uint32_handler,
+    .get_int64 = pilot_get_int64_handler,
+    .get_uint64 = pilot_get_uint64_handler,
+    .get_double = pilot_get_double_handler,
+    .get_string = pilot_get_string_handler,
+    .get_object_path = pilot_get_objpath_handler,
+    .get_null_string = pilot_get_null_string_handler,
+    .get_null_path = pilot_get_null_path_handler,
 
-    .test_pilot_get_byte_array = pilot_get_byte_array_handler,
-    .test_pilot_get_int16_array = pilot_get_int16_array_handler,
-    .test_pilot_get_uint16_array = pilot_get_uint16_array_handler,
-    .test_pilot_get_int32_array = pilot_get_int32_array_handler,
-    .test_pilot_get_uint32_array = pilot_get_uint32_array_handler,
-    .test_pilot_get_int64_array = pilot_get_int64_array_handler,
-    .test_pilot_get_uint64_array = pilot_get_uint64_array_handler,
-    .test_pilot_get_double_array = pilot_get_double_array_handler,
-    .test_pilot_get_string_array = pilot_get_string_array_handler,
-    .test_pilot_get_object_path_array = pilot_get_path_array_handler,
+    .get_byte_array = pilot_get_byte_array_handler,
+    .get_int16_array = pilot_get_int16_array_handler,
+    .get_uint16_array = pilot_get_uint16_array_handler,
+    .get_int32_array = pilot_get_int32_array_handler,
+    .get_uint32_array = pilot_get_uint32_array_handler,
+    .get_int64_array = pilot_get_int64_array_handler,
+    .get_uint64_array = pilot_get_uint64_array_handler,
+    .get_double_array = pilot_get_double_array_handler,
+    .get_string_array = pilot_get_string_array_handler,
+    .get_object_path_array = pilot_get_path_array_handler,
 };
 
 static int pilot_test_server_init(struct sbus_connection *server, void *unused)
diff --git a/src/tests/sbus_codegen_tests_generated.c b/src/tests/sbus_codegen_tests_generated.c
index 5fdf9e277937c90168122d329ded42d893582d5b..fc69b77b347b9bec582aff633e26dbbe769985d5 100644
--- a/src/tests/sbus_codegen_tests_generated.c
+++ b/src/tests/sbus_codegen_tests_generated.c
@@ -97,7 +97,7 @@ const struct sbus_property_meta com_planetexpress_Ship__properties[] = {
         "Color", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct com_planetexpress_Ship, com_planetexpress_Ship_get_Color),
+        offsetof(struct com_planetexpress_Ship, get_Color),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -239,7 +239,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "FullName", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE | SBUS_PROPERTY_WRITABLE,
-        offsetof(struct test_pilot, test_pilot_get_FullName),
+        offsetof(struct test_pilot, get_FullName),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -248,7 +248,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "byte", /* name */
         "y", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_byte),
+        offsetof(struct test_pilot, get_byte),
         sbus_invoke_get_y,
         0, /* not writable */
         NULL, /* no invoker */
@@ -257,7 +257,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "boolean", /* name */
         "b", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_boolean),
+        offsetof(struct test_pilot, get_boolean),
         sbus_invoke_get_b,
         0, /* not writable */
         NULL, /* no invoker */
@@ -266,7 +266,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int16", /* name */
         "n", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int16),
+        offsetof(struct test_pilot, get_int16),
         sbus_invoke_get_n,
         0, /* not writable */
         NULL, /* no invoker */
@@ -275,7 +275,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint16", /* name */
         "q", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint16),
+        offsetof(struct test_pilot, get_uint16),
         sbus_invoke_get_q,
         0, /* not writable */
         NULL, /* no invoker */
@@ -284,7 +284,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int32", /* name */
         "i", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int32),
+        offsetof(struct test_pilot, get_int32),
         sbus_invoke_get_i,
         0, /* not writable */
         NULL, /* no invoker */
@@ -293,7 +293,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint32", /* name */
         "u", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint32),
+        offsetof(struct test_pilot, get_uint32),
         sbus_invoke_get_u,
         0, /* not writable */
         NULL, /* no invoker */
@@ -302,7 +302,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int64", /* name */
         "x", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int64),
+        offsetof(struct test_pilot, get_int64),
         sbus_invoke_get_x,
         0, /* not writable */
         NULL, /* no invoker */
@@ -311,7 +311,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint64", /* name */
         "t", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint64),
+        offsetof(struct test_pilot, get_uint64),
         sbus_invoke_get_t,
         0, /* not writable */
         NULL, /* no invoker */
@@ -320,7 +320,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "double", /* name */
         "d", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_double),
+        offsetof(struct test_pilot, get_double),
         sbus_invoke_get_d,
         0, /* not writable */
         NULL, /* no invoker */
@@ -329,7 +329,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "string", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_string),
+        offsetof(struct test_pilot, get_string),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -338,7 +338,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "object_path", /* name */
         "o", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_object_path),
+        offsetof(struct test_pilot, get_object_path),
         sbus_invoke_get_o,
         0, /* not writable */
         NULL, /* no invoker */
@@ -347,7 +347,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "null_string", /* name */
         "s", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_null_string),
+        offsetof(struct test_pilot, get_null_string),
         sbus_invoke_get_s,
         0, /* not writable */
         NULL, /* no invoker */
@@ -356,7 +356,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "null_path", /* name */
         "o", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_null_path),
+        offsetof(struct test_pilot, get_null_path),
         sbus_invoke_get_o,
         0, /* not writable */
         NULL, /* no invoker */
@@ -365,7 +365,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "byte_array", /* name */
         "ay", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_byte_array),
+        offsetof(struct test_pilot, get_byte_array),
         sbus_invoke_get_ay,
         0, /* not writable */
         NULL, /* no invoker */
@@ -374,7 +374,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int16_array", /* name */
         "an", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int16_array),
+        offsetof(struct test_pilot, get_int16_array),
         sbus_invoke_get_an,
         0, /* not writable */
         NULL, /* no invoker */
@@ -383,7 +383,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint16_array", /* name */
         "aq", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint16_array),
+        offsetof(struct test_pilot, get_uint16_array),
         sbus_invoke_get_aq,
         0, /* not writable */
         NULL, /* no invoker */
@@ -392,7 +392,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int32_array", /* name */
         "ai", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int32_array),
+        offsetof(struct test_pilot, get_int32_array),
         sbus_invoke_get_ai,
         0, /* not writable */
         NULL, /* no invoker */
@@ -401,7 +401,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint32_array", /* name */
         "au", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint32_array),
+        offsetof(struct test_pilot, get_uint32_array),
         sbus_invoke_get_au,
         0, /* not writable */
         NULL, /* no invoker */
@@ -410,7 +410,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "int64_array", /* name */
         "ax", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_int64_array),
+        offsetof(struct test_pilot, get_int64_array),
         sbus_invoke_get_ax,
         0, /* not writable */
         NULL, /* no invoker */
@@ -419,7 +419,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "uint64_array", /* name */
         "at", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_uint64_array),
+        offsetof(struct test_pilot, get_uint64_array),
         sbus_invoke_get_at,
         0, /* not writable */
         NULL, /* no invoker */
@@ -428,7 +428,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "double_array", /* name */
         "ad", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_double_array),
+        offsetof(struct test_pilot, get_double_array),
         sbus_invoke_get_ad,
         0, /* not writable */
         NULL, /* no invoker */
@@ -437,7 +437,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "string_array", /* name */
         "as", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_string_array),
+        offsetof(struct test_pilot, get_string_array),
         sbus_invoke_get_as,
         0, /* not writable */
         NULL, /* no invoker */
@@ -446,7 +446,7 @@ const struct sbus_property_meta test_pilot__properties[] = {
         "object_path_array", /* name */
         "ao", /* type */
         SBUS_PROPERTY_READABLE,
-        offsetof(struct test_pilot, test_pilot_get_object_path_array),
+        offsetof(struct test_pilot, get_object_path_array),
         sbus_invoke_get_ao,
         0, /* not writable */
         NULL, /* no invoker */
diff --git a/src/tests/sbus_codegen_tests_generated.h b/src/tests/sbus_codegen_tests_generated.h
index e6fb10c5ef5724c865735ed5938f7a7b96b995aa..d573615ecc1222a5b1e2c16d84d1ccb0514f58fd 100644
--- a/src/tests/sbus_codegen_tests_generated.h
+++ b/src/tests/sbus_codegen_tests_generated.h
@@ -72,7 +72,7 @@ struct com_planetexpress_Ship {
     int (*MoveUniverse)(struct sbus_request *req, void *data, bool arg_smoothly, uint32_t arg_speed_factor);
     int (*crash_now)(struct sbus_request *req, void *data, const char *arg_where);
     sbus_msg_handler_fn Land;
-    void (*com_planetexpress_Ship_get_Color)(struct sbus_request *, void *data, const char * *);
+    void (*get_Color)(struct sbus_request *, void *data, const char * *);
 };
 
 /* finish function for MoveUniverse */
@@ -86,30 +86,30 @@ struct test_pilot {
     struct sbus_vtable vtable; /* derive from sbus_vtable */
     int (*Blink)(struct sbus_request *req, void *data, uint32_t arg_duration);
     int (*Eject)(struct sbus_request *req, void *data, uint8_t arg_byte, bool arg_boolean, int16_t arg_int16, uint16_t arg_uint16, int32_t arg_int32, uint32_t arg_uint32, int64_t arg_int64, uint64_t arg_uint64, double arg_double, const char *arg_string, const char *arg_object_path, uint8_t arg_byte_array[], int len_byte_array, int16_t arg_int16_array[], int len_int16_array, uint16_t arg_uint16_array[], int len_uint16_array, int32_t arg_int32_array[], int len_int32_array, uint32_t arg_uint32_array[], int len_uint32_array, int64_t arg_int64_array[], int len_int64_array, uint64_t arg_uint64_array[], int len_uint64_array, double arg_double_array[], int len_double_array, const char *arg_string_array[], int len_string_array, const char *arg_object_path_array[], int len_object_path_array);
-    void (*test_pilot_get_FullName)(struct sbus_request *, void *data, const char * *);
-    void (*test_pilot_get_byte)(struct sbus_request *, void *data, uint8_t *);
-    void (*test_pilot_get_boolean)(struct sbus_request *, void *data, bool *);
-    void (*test_pilot_get_int16)(struct sbus_request *, void *data, int16_t *);
-    void (*test_pilot_get_uint16)(struct sbus_request *, void *data, uint16_t *);
-    void (*test_pilot_get_int32)(struct sbus_request *, void *data, int32_t *);
-    void (*test_pilot_get_uint32)(struct sbus_request *, void *data, uint32_t *);
-    void (*test_pilot_get_int64)(struct sbus_request *, void *data, int64_t *);
-    void (*test_pilot_get_uint64)(struct sbus_request *, void *data, uint64_t *);
-    void (*test_pilot_get_double)(struct sbus_request *, void *data, double *);
-    void (*test_pilot_get_string)(struct sbus_request *, void *data, const char * *);
-    void (*test_pilot_get_object_path)(struct sbus_request *, void *data, const char * *);
-    void (*test_pilot_get_null_string)(struct sbus_request *, void *data, const char * *);
-    void (*test_pilot_get_null_path)(struct sbus_request *, void *data, const char * *);
-    void (*test_pilot_get_byte_array)(struct sbus_request *, void *data, uint8_t * *, int *);
-    void (*test_pilot_get_int16_array)(struct sbus_request *, void *data, int16_t * *, int *);
-    void (*test_pilot_get_uint16_array)(struct sbus_request *, void *data, uint16_t * *, int *);
-    void (*test_pilot_get_int32_array)(struct sbus_request *, void *data, int32_t * *, int *);
-    void (*test_pilot_get_uint32_array)(struct sbus_request *, void *data, uint32_t * *, int *);
-    void (*test_pilot_get_int64_array)(struct sbus_request *, void *data, int64_t * *, int *);
-    void (*test_pilot_get_uint64_array)(struct sbus_request *, void *data, uint64_t * *, int *);
-    void (*test_pilot_get_double_array)(struct sbus_request *, void *data, double * *, int *);
-    void (*test_pilot_get_string_array)(struct sbus_request *, void *data, const char * * *, int *);
-    void (*test_pilot_get_object_path_array)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*get_FullName)(struct sbus_request *, void *data, const char * *);
+    void (*get_byte)(struct sbus_request *, void *data, uint8_t *);
+    void (*get_boolean)(struct sbus_request *, void *data, bool *);
+    void (*get_int16)(struct sbus_request *, void *data, int16_t *);
+    void (*get_uint16)(struct sbus_request *, void *data, uint16_t *);
+    void (*get_int32)(struct sbus_request *, void *data, int32_t *);
+    void (*get_uint32)(struct sbus_request *, void *data, uint32_t *);
+    void (*get_int64)(struct sbus_request *, void *data, int64_t *);
+    void (*get_uint64)(struct sbus_request *, void *data, uint64_t *);
+    void (*get_double)(struct sbus_request *, void *data, double *);
+    void (*get_string)(struct sbus_request *, void *data, const char * *);
+    void (*get_object_path)(struct sbus_request *, void *data, const char * *);
+    void (*get_null_string)(struct sbus_request *, void *data, const char * *);
+    void (*get_null_path)(struct sbus_request *, void *data, const char * *);
+    void (*get_byte_array)(struct sbus_request *, void *data, uint8_t * *, int *);
+    void (*get_int16_array)(struct sbus_request *, void *data, int16_t * *, int *);
+    void (*get_uint16_array)(struct sbus_request *, void *data, uint16_t * *, int *);
+    void (*get_int32_array)(struct sbus_request *, void *data, int32_t * *, int *);
+    void (*get_uint32_array)(struct sbus_request *, void *data, uint32_t * *, int *);
+    void (*get_int64_array)(struct sbus_request *, void *data, int64_t * *, int *);
+    void (*get_uint64_array)(struct sbus_request *, void *data, uint64_t * *, int *);
+    void (*get_double_array)(struct sbus_request *, void *data, double * *, int *);
+    void (*get_string_array)(struct sbus_request *, void *data, const char * * *, int *);
+    void (*get_object_path_array)(struct sbus_request *, void *data, const char * * *, int *);
 };
 
 /* finish function for Blink */
-- 
1.7.11.7

